javax.ws.rs.core

## Class Cookie

- java.lang.Object
- - javax.ws.rs.core.Cookie

- Direct Known Subclasses:
    NewCookie

      public class Cookie
      extends Object

  Represents the value of a HTTP cookie, transferred in a request. RFC 2109 specifies the legal characters for name, value, path and domain. The default version of 1 corresponds to RFC 2109.
  Since:
    1.0
  Author:
    Paul Sandoz, Marc Hadley
  See Also:
    IETF RFC 2109

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_VERSION` Cookies using the default version correspond to RFC 2109.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cookie(String name, String value)` Create a new instance.
    `Cookie(String name, String value, String path, String domain)` Create a new instance.
    `Cookie(String name, String value, String path, String domain, int version)` Create a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Compare for equality.
    `String` | `getDomain()` Get the domain of the cookie.
    `String` | `getName()` Get the name of the cookie.
    `String` | `getPath()` Get the path of the cookie.
    `String` | `getValue()` Get the value of the cookie.
    `int` | `getVersion()` Get the version of the cookie.
    `int` | `hashCode()` Generate a hash code by hashing all of the cookies properties.
    `String` | `toString()` Convert the cookie to a string suitable for use as the value of the corresponding HTTP header.
    `static Cookie` | `valueOf(String value)` Creates a new instance of `Cookie` by parsing the supplied string.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_VERSION

          public static final int DEFAULT_VERSION

      Cookies using the default version correspond to RFC 2109.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Cookie

          public Cookie(String name,
                String value,
                String path,
                String domain,
                int version)
                 throws IllegalArgumentException

      Create a new instance.
      Parameters:
        `name` - the name of the cookie.
        `value` - the value of the cookie.
        `path` - the URI path for which the cookie is valid.
        `domain` - the host domain for which the cookie is valid.
        `version` - the version of the specification to which the cookie complies.
      Throws:
        `IllegalArgumentException` - if name is `null`.

    - #### Cookie

          public Cookie(String name,
                String value,
                String path,
                String domain)
                 throws IllegalArgumentException

      Create a new instance.
      Parameters:
        `name` - the name of the cookie.
        `value` - the value of the cookie.
        `path` - the URI path for which the cookie is valid.
        `domain` - the host domain for which the cookie is valid.
      Throws:
        `IllegalArgumentException` - if name is `null`.

    - #### Cookie

          public Cookie(String name,
                String value)
                 throws IllegalArgumentException

      Create a new instance.
      Parameters:
        `name` - the name of the cookie.
        `value` - the value of the cookie.
      Throws:
        `IllegalArgumentException` - if name is `null`.

  - ### Method Detail

    - #### valueOf

          public static Cookie valueOf(String value)

      Creates a new instance of `Cookie` by parsing the supplied string.
      Parameters:
        `value` - the cookie string.
      Returns:
        the newly created `Cookie`.
      Throws:
        `IllegalArgumentException` - if the supplied string cannot be parsed or is `null`.

    - #### getName

          public String getName()

      Get the name of the cookie.
      Returns:
        the cookie name.

    - #### getValue

          public String getValue()

      Get the value of the cookie.
      Returns:
        the cookie value.

    - #### getVersion

          public int getVersion()

      Get the version of the cookie.
      Returns:
        the cookie version.

    - #### getDomain

          public String getDomain()

      Get the domain of the cookie.
      Returns:
        the cookie domain.

    - #### getPath

          public String getPath()

      Get the path of the cookie.
      Returns:
        the cookie path.

    - #### toString

          public String toString()

      Convert the cookie to a string suitable for use as the value of the corresponding HTTP header.
      Overrides:
        `toString` in class `Object`
      Returns:
        a stringified cookie.

    - #### hashCode

          public int hashCode()

      Generate a hash code by hashing all of the cookies properties.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        the cookie hash code.

    - #### equals

          public boolean equals(Object obj)

      Compare for equality.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `obj` - the object to compare to.
      Returns:
        `true`, if the object is a `Cookie` with the same value for all properties, `false` otherwise.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.